function onBegin()
    
end
function onTalk()

    disableMovement()
    say("blue_ridge_go_back")
    local choice=choice("blue_ridge_go_choice1","blue_ridge_go_choice2")
    if(choice==1)
    then
        say("blue_ridge_go_choice1_dialog")
        enableMovement()
        teleportTo(24,160,"end")
    else 
        say("blue_ridge_go_choice2_dialog")
    end
   
end

function onEnd()
    enableMovement()
end